Package org.apache.sling.repoinit.parser

# Interface RepoInitParser

@ProviderType public interface RepoInitParser
repoinit parser service interface

## Method Summary

Modifier and Type
Method
Description
`List<Operation>`
`parse(Reader reader)`
Parse the supplied input.

## Method Details

### parse

List<Operation> parse(Reader reader) throws RepoInitParsingException
Parse the supplied input.

Parameters:
  `reader` - Input in repoinit format. The reader is closed by this method.
Returns:
  The parsed result.
Throws:
  `RepoInitParsingException` - on parsing errors